%define upstream_name    DBICx-TestDatabase
%define upstream_version 0.05

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 13

Summary:    A DBICx::TestDatabase you can add your 
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/DBICx/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(DBD::SQLite) >= 1.290.0
BuildRequires: perl(DBIx::Class)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.360.0
BuildRequires: perl(inc::Module::Install)
BuildRequires: perl(File::Temp)
BuildRequires: perl(SQL::Translator)
BuildRequires: perl(Test::More)
BuildRequires: perl(ok)
BuildArch:  noarch

%{?perl_default_filter}

%description
This module creates a temporary SQLite database, deploys your DBIC schema,
and then connects to it. This lets you easily test your DBIC schema. Since
you have a fresh database for every test, you don't have to worry about
cleaning up after your tests, ordering of tests affecting failure, etc.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
%make_install

%files
%doc Changes META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.50.0-13.mga10
+ Revision: 2203537
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.50.0-12.mga9
+ Revision: 1808594
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.50.0-11.mga8
+ Revision: 1503624
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 0.50.0-10.mga7
+ Revision: 1282595
- Mageia 7 Mass Rebuild

* Mon Oct 02 2017 tv <tv> 0.50.0-9.mga7
+ Revision: 1163904
- rebuild with fixed rpm for missing autodeps

* Mon Sep 25 2017 tv <tv> 0.50.0-8.mga7
+ Revision: 1159022
- add BR on perl(inc::Module::Install)

* Sun Jun 19 2016 pterjan <pterjan> 0.50.0-7.mga6
+ Revision: 1025428
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.50.0-6.mga6
+ Revision: 949042
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 0.50.0-5.mga5
+ Revision: 788852
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.50.0-4.mga5
+ Revision: 741441
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 0.50.0-3.mga5
+ Revision: 735545
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.50.0-2.mga5
+ Revision: 684100
- Mageia 5 Mass Rebuild

* Mon Feb 10 2014 jquelin <jquelin> 0.50.0-1.mga5
+ Revision: 588256
- update to 0.05

* Fri Oct 18 2013 umeabot <umeabot> 0.40.0-3.mga4
+ Revision: 510402
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.40.0-2.mga3
+ Revision: 365071
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Feb 22 2011 jquelin <jquelin> 0.40.0-1.mga1
+ Revision: 56507
- update to 0.04

* Tue Jan 25 2011 jquelin <jquelin> 0.20.0-1.mga1
+ Revision: 38577
- mageia rebuild
- imported package perl-DBICx-TestDatabase

